# Trust SpamAssassin Headers Installer
# by Alex Vallat <www.byalexv.co.uk>
#
# 2011-09-18: v0.5
#  Updated to Plugin SDK 2.6.1 for compatibility with Spamihilator 0.9.9.58 x64
#
# 2010-01-16: v0.4
#  Updated to be compatible with 64 bit Spamihilator, and to use new plugin installer
#
# 2007-12-10: v0.3
#  Updated to install filter version 0.3, and CRT version 9.
#
# 2007-03-11: v0.2
#  Updated to install filter version 0.2, and work with Spamihilator 0.9.9.25
#
# 2007-02-06: v0.1
#  Initial Release (AV)
#
# Source code free for non-commercial use
#
# Please share any improvements or changes
#

!define PRODUCT_NAME "Trust SpamAssassin Headers"
!define PRODUCT_VERSION "0.5"
!define PRODUCT_PUBLISHER "Alex Vallat"
#!define PRODUCT_WEB_SITE "http://www.byalexv.co.uk/spamihilator/TrustSpamAssassinHeaders.html"

!include "PluginInstaller\PluginInstaller.nsh"

OutFile "..\Releases\TrustSpamAssassinHeaders-${PRODUCT_VERSION}.exe"

Section Files
	SetOverwrite ifnewer
	${InstallTo64bit}
		File "..\bin\x64\Trust SpamAssassin Headers.dll"
	${EndInstallTo}
	${InstallTo32bit}
		File "..\bin\Win32\Trust SpamAssassin Headers.dll"
	${EndInstallTo}
	
	SetOutPath "${SUPPORT_FILES}"
	File "readme.html"
	SetOverwrite lastused
SectionEnd

Section un.Files
	${InstallTo64bit}
		Delete /REBOOTOK "Trust SpamAssassin Headers.dll"
	${EndInstallTo}
	${InstallTo32bit}
		Delete /REBOOTOK "Trust SpamAssassin Headers.dll"
	${EndInstallTo}

	Delete "${SUPPORT_FILES}\readme.html"
SectionEnd